## python-coverage 4.5.1+dfsg.1

=== debian/changelog ===
python-coverage (4.5.1+dfsg.1-1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Aug 2018 08:48:09 +0000

python-coverage (4.5.1+dfsg.1-1) unstable; urgency=medium

  * The “Ahmedur Rashid Chowdhury” release.
  * New upstream version.
    Highlights since previous release: none documented.
  * Consolidate the ‘override_dh_auto_build’ packaging target.
  * Use a null command for ‘clean’ during ‘Git-BuildPackage’.
  * Correct build dependencies for both arch-dependent and -independent.
    Closes: bug#901114. Thanks to Santiago Vila for the report.
  * Declare “Standards-Version: 4.1.5”.
  * Specify current URL for upstream source repository.
  * Improve consistency of copyright grant in Debian packaging.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Use standard Debian packaging tools to repack upstream source.
  * Convert UScan configuration to format version 4.
  * Remove specification of minimum Python versions.
    These are now satisfied by all currently supported Debian releases.

 -- Ben Finney <bignose@debian.org>  Sun, 15 Jul 2018 12:25:30 +1000

=== debian/control ===
Source: python-coverage
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Build-Depends:
    dh-python,
    python3-sphinx,
    python3-sphinx-rtd-theme,
    python3-sphinxcontrib.spelling,
    python3-setuptools,
    python3-all-dev,
    python3,
    python-setuptools,
    python-all-dev (>= 2.6.6-3~),
    python (>= 2.6.6-3~),
    debhelper (>= 11~)
Build-Depends-Indep:
    pypy-setuptools,
    pypy
Standards-Version: 4.1.5
Homepage: http://nedbatchelder.com/code/coverage/
VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/

Package: python3-coverage
Architecture: any
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery-throttle-debounce,
    libjs-jquery
Suggests:
    python-coverage-doc
Description: code coverage tool for Python 3
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 Coverage measurement is typically used to gauge the effectiveness of
 tests. It can show which parts of your code are being exercised by
 tests, and which are not.
 .
 This package installs the Python version 3 ‘coverage’ library, and the
 ‘python3-coverage’ program to perform and report coverage tests.

Package: pypy-coverage
Architecture: all
Depends:
    pypy-pkg-resources,
    ${pypy:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery-throttle-debounce,
    libjs-jquery
Suggests:
    python-coverage-doc
Description: code coverage tool for Python 2 PyPy
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 Coverage measurement is typically used to gauge the effectiveness of
 tests. It can show which parts of your code are being exercised by
 tests, and which are not.
 .
 This package installs the Python 2 ‘coverage’ library built for PyPy, and the
 ‘pypy-coverage’ program to perform and report coverage tests.

Package: python-coverage
Architecture: any
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery-throttle-debounce,
    libjs-jquery
Suggests:
    python-coverage-doc
Description: code coverage tool for Python 2
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 Coverage measurement is typically used to gauge the effectiveness of
 tests. It can show which parts of your code are being exercised by
 tests, and which are not.
 .
 This package installs the Python version 2 ‘coverage’ library, and the
 ‘python2-coverage’ program to perform and report coverage tests.

Package: python-coverage-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends}
Description: code coverage tool for Python — documentation
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 This package installs the HTML documentation for Coverage.py.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of the Debian ‘python-coverage’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME = coverage
export PYBUILD_DISABLE = test
export PYBUILD_SYSTEM = distutils

PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
PYTHON2_PACKAGE_NAME = python-${PYBUILD_NAME}
PYPY_PACKAGE_NAME = pypy-${PYBUILD_NAME}
package_working_root = debian
package_install_root = debian/{package}

DISTRIBUTION_NAME = coverage

HTMLFILES_DIR = ${DISTRIBUTION_NAME}/htmlfiles
htmlfiles_dirname = $(notdir ${HTMLFILES_DIR})
bundled_libraries += $(addprefix ${HTMLFILES_DIR}/, \
	jquery.isonscreen.js \
	)

RESOURCES_DIR = usr/share/{package}
package_install_resources_root = ${package_install_root}/${RESOURCES_DIR}

DOCUMENTATION_DIR = doc
MANPAGE_SUFFIX = .1
manpage_tempfile_suffix = ${MANPAGE_SUFFIX}.tmp
default_manpage_name = python-coverage${MANPAGE_SUFFIX}
python3_command_names = $(sort $(notdir $(wildcard \
	${package_working_root}/*/usr/bin/python3*-coverage)))
python2_command_names = $(sort $(notdir $(wildcard \
	${package_working_root}/*/usr/bin/python2*-coverage)))
versioned_command_names = ${python3_command_names} ${python2_command_names}
versioned_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	${versioned_command_names})
versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
	${versioned_manpage_names})
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${MANPAGE_SUFFIX}
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${manpage_tempfile_suffix}

DOCUMENTATION_BUILD_DIR = ${DOCUMENTATION_DIR}/_build
DOCUMENTATION_BUILD_HTML_DIR = ${DOCUMENTATION_BUILD_DIR}/html
GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}

INSTALL = install
MV = mv

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

RST_SUFFIX = .txt

RST2MAN = rst2man

SPHINX = sphinx-build
SPHINX_OPTS = -N


%:
	dh $@ --with python3,python2,pypy,sphinxdoc --buildsystem=pybuild


.PHONY: remove-bundled-libraries
remove-bundled-libraries:
	$(RM) ${bundled_libraries}

.PHONY: manpage-aliases
manpage-aliases: ${versioned_manpage_paths}

${DOCUMENTATION_DIR}:
	$(INSTALL) --directory "$@"

${DOCUMENTATION_DIR}/${default_manpage_name}: ${DOCUMENTATION_DIR}
${DOCUMENTATION_DIR}/${default_manpage_name}: ${package_working_root}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r "$<" "$@"

${DOCUMENTATION_DIR}/%${MANPAGE_SUFFIX}: ${DOCUMENTATION_DIR}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r "$<" "$@"

%.1: %.1${RST_SUFFIX}
	$(RST2MAN) "$<" > "$@".tmp
	cat debian/manpage_encoding_declaration.UTF-8 "$@".tmp > "$@"


override_dh_auto_build: remove-bundled-libraries
override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOCUMENTATION_DIR}/ \
		${DOCUMENTATION_BUILD_HTML_DIR}/

# Upstream test suite doesn't currently run in our build environment.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
	    usr/bin/python-coverage usr/bin/pypy-coverage)
	$(RM) $(addprefix ${package_working_root}/${PYTHON_PACKAGE_NAME}/, \
	    usr/bin/python3*-coverage)
	$(RM) $(addprefix ${package_working_root}/${PYPY_PACKAGE_NAME}/, \
	    usr/bin/python*-coverage)

export PYBUILD_AFTER_INSTALL = \
	$(INSTALL) --mode=u=rwx,go=rx --directory \
	    "${package_install_resources_root}" ; \
	$(INSTALL) --mode=u=rwx,go=rx --directory \
	    "${package_install_resources_root}/${htmlfiles_dirname}" ; \
	$(INSTALL) --mode=u=rw,go=r "${HTMLFILES_DIR}"/* \
	    "${package_install_resources_root}/${htmlfiles_dirname}" ; \
	dh_link \
	    --package={package} \
	    "/${RESOURCES_DIR}/${htmlfiles_dirname}" \
	    {install_dir}/${HTMLFILES_DIR}

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_installman: manpage-aliases
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r ${GENERATED_FILES}


# Copyright © 2010–2018 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

Tests: smoke-python3
Depends:
    python3-coverage,
    python3-pkg-resources

Tests: smoke-python2
Depends:
    python-coverage,
    python-pkg-resources

Tests: smoke-pypy
Depends:
    pypy-coverage,
    pypy-pkg-resources

Test-Command:
    w3m -dump /usr/share/doc/python-coverage/html/index.html > /dev/null
Depends:
    python-coverage-doc,
    w3m

Test-Command:
    file --brief /usr/share/doc/python-coverage/html/index.html
        | grep -q 'HTML document'
Depends:
    python-coverage-doc,
    file

Tests: entry-point-scripts
Depends:
    python3-coverage,
    python3-all,
    python-coverage,
    python-all

Tests: module-scripts
Depends:
    python3-coverage,
    python3-all,
    python-coverage,
    python-all,
    pypy-coverage,
    pypy


# Copyright © 2016–2018 Ben Finney <bignose@debian.org>
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘python-coverage’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Python Package Index.
opts = "uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/,repack,repacksuffix=+dfsg.1,dversionmangle=s/\+dfsg\.\d+$//" \
    https://pypi.debian.net/coverage/ \
    /coverage/coverage-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## python-coverage 4.5.2%2Bdfsg.1

=== debian/tests/control ===
--- 
+++ 
@@ -9,23 +9,16 @@
 Tests: smoke-python3
 Depends:
     python3-coverage,
-    python3-pkg-resources
-
-Tests: smoke-python2
-Depends:
-    python-coverage,
-    python-pkg-resources
-
-Tests: smoke-pypy
-Depends:
-    pypy-coverage,
-    pypy-pkg-resources
+    python3-pkg-resources,
+    python3-all
 
 Test-Command:
     w3m -dump /usr/share/doc/python-coverage/html/index.html > /dev/null
 Depends:
     python-coverage-doc,
     w3m
+Restrictions:
+    build-needed
 
 Test-Command:
     file --brief /usr/share/doc/python-coverage/html/index.html
@@ -33,6 +26,8 @@
 Depends:
     python-coverage-doc,
     file
+Restrictions:
+    build-needed
 
 Tests: entry-point-scripts
 Depends:
@@ -52,7 +47,7 @@
 
 
 
-# Copyright © 2016–2018 Ben Finney <bignose@debian.org>
+# Copyright © 2016–2019 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.

## python-coverage 4.5.2+dfsg.1

=== debian/changelog ===
python-coverage (4.5.2+dfsg.1-4ubuntu1) focal; urgency=medium

  * Drop build dependencies on python and python3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 13:16:23 +0100

python-coverage (4.5.2+dfsg.1-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:45:41 +0100

python-coverage (4.5.2+dfsg.1-4) unstable; urgency=high

  * Urgency “high” to restore dependency for other Python 2 packages.
    See bug#937665 discussion.
  * Build Python 2 and PyPy 2 binary packages.
    These still have reverse dependencies, during the Python 2 removal.
  * Exercise Python 2 and PyPy 2 packages in autopkgtest.

 -- Ben Finney <bignose@debian.org>  Mon, 11 Nov 2019 10:20:28 +1100

python-coverage (4.5.2+dfsg.1-3) unstable; urgency=medium

  * Specify the package build system does not require root privilege.
  * Specify that the documentation must be built to autopkgtest it.
  * Update the expected directory where documentation is installed.
    Closes: bug#944076.
    Thanks to Paul Gevers for the report and trouble-shooting.

 -- Ben Finney <bignose@debian.org>  Tue, 05 Nov 2019 11:10:34 +1100

python-coverage (4.5.2+dfsg.1-2) unstable; urgency=medium

  [ Ben Finney ]
  * Declare conformance to “Standards-Version: 4.4.1”.
    No additional changes required.
  * Remove declaration of minimum Python 2 versions.
    These are now satisfied by all currently supported Debian releases.
  * Declare Debhelper compatibility level 12.
  * debian/compat:
    * Remove obsolescent configuration file.
  * Don't build Python 2 or PyPy 2 binary packages.
    Closes: bug#937665.
  * Remove Python 2 and PyPy 2 autopkgtest code.
  * Remove build dependencies for Python environments not supported.

  [ Ondřej Nový ]
  * Build docs with Sphinx by using system Python.

 -- Ben Finney <bignose@debian.org>  Sun, 27 Oct 2019 13:57:10 +1100

python-coverage (4.5.2+dfsg.1-1) unstable; urgency=medium

  * The “وليد أبوالخير‎‎ (Waleed Sami Abulkhair)” release.
  * New upstream version.
    Highlights since previous release:
    * Upstream development hosting moved.
    * Namespace packages are supported on Python 3.7, where they used to
      cause TypeErrors about path being None.
    * Extend supported Python versions to include Python 3.8.
  * Update publication years for Debian packaging in copyright notices.
  * Update package source documentation for standard packaging tools.
  * debian/repack, debian/source_package_build.bash:
    * Remove unused custom ‘repack’ program.
  * Declare AutoPkgTest dependency on all relevant CPython packages.
    Closes: bug#915133. Thanks to Paul Gevers for the report.
  * Update Lintian override for new Python-version-specific filenames.
  * Declare “Standards-Version: 4.3.0”. No additional changes required.
  * Record upstream metadata in DEP-12 document.

 -- Ben Finney <bignose@debian.org>  Fri, 25 Jan 2019 11:58:58 +1100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,17 @@
     python3-sphinxcontrib.spelling,
     python3-setuptools,
     python3-all-dev,
-    python3,
     python-setuptools,
-    python-all-dev (>= 2.6.6-3~),
-    python (>= 2.6.6-3~),
-    debhelper (>= 11~)
+    python-all-dev,
+    debhelper-compat (= 12)
 Build-Depends-Indep:
     pypy-setuptools,
     pypy
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Homepage: http://nedbatchelder.com/code/coverage/
 VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/
+Rules-Requires-Root: no
 
 Package: python3-coverage
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 RST2MAN = rst2man
 
-SPHINX = sphinx-build
+SPHINX = python3 -m sphinx
 SPHINX_OPTS = -N
 
 
@@ -138,7 +138,7 @@
 
 
 
-# Copyright © 2010–2018 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2019 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # debian/watch
-# Debian UScan configuration for ‘python-coverage’ package.
+# Debian UScan configuration for this package.
 # Manual page: ‘uscan(1)’.
 
 # Version of UScan configuration format.

## python-coverage 5.1%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 export PYBUILD_SYSTEM = distutils
 
 PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
-PYTHON2_PACKAGE_NAME = python-${PYBUILD_NAME}
 PYPY_PACKAGE_NAME = pypy-${PYBUILD_NAME}
 package_working_root = debian
 package_install_root = debian/{package}
@@ -38,9 +37,7 @@
 default_manpage_name = python-coverage${MANPAGE_SUFFIX}
 python3_command_names = $(sort $(notdir $(wildcard \
 	${package_working_root}/*/usr/bin/python3*-coverage)))
-python2_command_names = $(sort $(notdir $(wildcard \
-	${package_working_root}/*/usr/bin/python2*-coverage)))
-versioned_command_names = ${python3_command_names} ${python2_command_names}
+versioned_command_names = ${python3_command_names}
 versioned_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
 	${versioned_command_names})
 versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
@@ -69,7 +66,7 @@
 
 
 %:
-	dh $@ --with python3,python2,pypy,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,pypy,sphinxdoc --buildsystem=pybuild
 
 
 
@@ -109,8 +106,6 @@
 	dh_auto_install --buildsystem=pybuild
 	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
 	    usr/bin/python-coverage usr/bin/pypy-coverage)
-	$(RM) $(addprefix ${package_working_root}/${PYTHON_PACKAGE_NAME}/, \
-	    usr/bin/python3*-coverage)
 	$(RM) $(addprefix ${package_working_root}/${PYPY_PACKAGE_NAME}/, \
 	    usr/bin/python*-coverage)
 
@@ -138,7 +133,7 @@
 
 
 
-# Copyright © 2010–2019 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2020 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

## python-coverage 5.1+dfsg.1

=== tests/gold/html/Makefile ===
# Licensed under the Apache License: http://www.apache.org/licenses/LICENSE-2.0
# For details: https://github.com/nedbat/coveragepy/blob/master/NOTICE.txt

help:
	@echo "Available targets:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "\033[36m  %-25s\033[0m %s\n", $$1, $$2}'

complete: 	## Copy support files into directories so the HTML can be viewed properly.
	@for sub in *; do \
		if [[ -f $$sub/index.html ]]; then \
			echo Copying into $$sub ; \
			cp -n support/* $$sub ; \
		fi ; \
	done ; \
	true	# because the for loop exits with 1 for some reason.

clean:		## Remove the effects of this Makefile.
	git clean -fq .

update-gold:	## Copy output files from latest tests to gold files.
	@for sub in $$TMPDIR/coverage_test/*HtmlGoldTests*/out; do \
		rsync --verbose --existing --recursive $$sub/ . ; \
	done ; \
	true

update-support:	## Copy latest support files here for posterity.
	cp ../../../coverage/htmlfiles/*.{css,js,png} support

=== debian/changelog ===
python-coverage (5.1+dfsg.1-2) unstable; urgency=medium

  * The “Karl Karnadi” release.
  * Remove all packaging of Python 2 support.
    Closes: bug#937665. Thanks to Matthias Klose for the report.
  * Follow the installed documentation to ‘python-coverage-doc’ directory.
  * Override false-positive Lintian warnings about documentation files.

 -- Ben Finney <bignose@debian.org>  Sun, 06 Sep 2020 15:43:16 +1000

python-coverage (5.1+dfsg.1-1) unstable; urgency=medium

  * The “أحمد الشامري (Ahmad al-Shamri)” release.
  * New upstream version.
    Highlights since previous release:
    * Coverage report can now be produced in JSON format.
    * Data storage format is now an SQLite database.
    * Configuration can now be read from `pyproject.toml`.
    * Reporting on the context in which each line is executed.
    * Portable environment support: filenames stored as relative paths.
    * Python 2.6, 3.3 and 3.4 are no longer supported.
  * debian/patches/:
    * Refresh patches against current source.
  * Declare Debhelper compatibility level 13.
  * Declare conformance to “Standards-Version: 4.5.0”.
    No additional changes required.
  * Add build dependency for ‘sphinx_rst_builder’ extension.
  * Add build dependency for ‘sphinx_tabs’ extension.
  * Rename Debian-specific To Do document to conform with ‘dh_installdocs’.
  * Use only supported Python versions in the AutoPkgTest.
  * Update Lintian override for new Python-version-specific filenames.
  * Use current Homepage value for the upstream project.

 -- Ben Finney <bignose@debian.org>  Sun, 31 May 2020 11:04:08 +1000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
     dh-python,
     python3-sphinx,
     python3-sphinx-rtd-theme,
+    python3-sphinx-rst-builder,
+    python3-sphinx-tabs,
     python3-sphinxcontrib.spelling,
     python3-setuptools,
     python3-all-dev,
-    python-setuptools,
-    python-all-dev,
-    debhelper-compat (= 12)
+    python3,
+    debhelper-compat (= 13)
 Build-Depends-Indep:
     pypy-setuptools,
     pypy
-Standards-Version: 4.4.1
-Homepage: http://nedbatchelder.com/code/coverage/
+Standards-Version: 4.5.0
+Homepage: https://coverage.readthedocs.io/
 VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/
 Rules-Requires-Root: no
@@ -75,33 +76,6 @@
  This package installs the Python 2 ‘coverage’ library built for PyPy, and the
  ‘pypy-coverage’ program to perform and report coverage tests.
 
-Package: python-coverage
-Architecture: any
-Depends:
-    python-pkg-resources,
-    ${python:Depends},
-    ${shlibs:Depends},
-    ${misc:Depends}
-Recommends:
-    libjs-jquery-isonscreen,
-    libjs-jquery-tablesorter,
-    libjs-jquery-throttle-debounce,
-    libjs-jquery
-Suggests:
-    python-coverage-doc
-Description: code coverage tool for Python 2
- Coverage.py is a tool for measuring code coverage of Python programs.
- It monitors your program, noting which parts of the code have been
- executed, then analyzes the source to identify code that could have
- been executed but was not.
- .
- Coverage measurement is typically used to gauge the effectiveness of
- tests. It can show which parts of your code are being exercised by
- tests, and which are not.
- .
- This package installs the Python version 2 ‘coverage’ library, and the
- ‘python2-coverage’ program to perform and report coverage tests.
-
 Package: python-coverage-doc
 Architecture: all
 Section: doc

=== debian/tests/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
     python3-all
 
 Test-Command:
-    w3m -dump /usr/share/doc/python-coverage/html/index.html > /dev/null
+    w3m -dump /usr/share/doc/python-coverage-doc/html/index.html > /dev/null
 Depends:
     python-coverage-doc,
     w3m
@@ -21,7 +21,7 @@
     build-needed
 
 Test-Command:
-    file --brief /usr/share/doc/python-coverage/html/index.html
+    file --brief /usr/share/doc/python-coverage-doc/html/index.html
         | grep -q 'HTML document'
 Depends:
     python-coverage-doc,
@@ -32,22 +32,18 @@
 Tests: entry-point-scripts
 Depends:
     python3-coverage,
-    python3-all,
-    python-coverage,
-    python-all
+    python3-all
 
 Tests: module-scripts
 Depends:
     python3-coverage,
     python3-all,
-    python-coverage,
-    python-all,
     pypy-coverage,
     pypy
 
 
 
-# Copyright © 2016–2019 Ben Finney <bignose@debian.org>
+# Copyright © 2016–2020 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.

## python-coverage 6.2%2Bdfsg1

=== debian/changelog ===
python-coverage (6.2+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:47:26 +0000

python-coverage (6.2+dfsg1-2) unstable; urgency=medium

  * Correct autopkgtest control, for removal of ‘pypy-coverage’.
    Closes: bug#1003700. Thanks to Stefano Rivera for the report.

 -- Ben Finney <bignose@debian.org>  Fri, 14 Jan 2022 10:43:38 +1100

python-coverage (6.2+dfsg1-1) unstable; urgency=medium

  * The “Jerrie Cobb” release.
  * New upstream version.
    (Closes: bug#969617)
    Highlights since previous release:
    * Support Python versions 3.6 – 3.11.
    * Data collection is thread-safe.
    * The HTML report has been redesigned.
    * No longer use jQuery libraries for HTML reports.
      (Closes: bug#733031)
    * Emit messages describing where Coverage.py is writing its files.
    * Settings ‘skip_covered’ and ‘skip_empty’ can be specified
      separately for HTML report.
    * The report commands now have options ‘--precision’, ‘--sort’,
      ‘--no-skip-covered’.
    * The report skips branches if the source and destination line are
      not executed.
    * The report skips third-party packages.
    * The ‘combine’ command has new option ‘--keep’.
    * New ‘source_pkgs’ setting to specify only package names.
    * More consistent (machine-parseable) output for text report.
    * Support for Python 3.10 ‘match’/‘case’ syntax.
    * Environment variable ‘COVERAGE_RUN’ set when running code with
      Coverage.py.
    * Deprecate the ‘annotate’ feature.
  * Remove handling of non-free files that were removed upstream.
  * Remove handling of removed JavaScript libraries.
    (Closes: bug#728824, bug#991076)
  * Drop support for Python 2 PyPy.
  * debian/patches/03.remove-hotkeys.patch:
    * Remove patch for functionality no longer used.
  * debian/patches/series:
    * Re-sequence patches.

 -- Ben Finney <bignose@debian.org>  Sat, 01 Jan 2022 19:14:52 +1100

python-coverage (5.1+dfsg.1-3) unstable; urgency=medium

  * The “Claudia Maria D'Antona” release.
  * Rename default Git branch in official repository, to ‘main’.
  * Declare conformance to “Standards-Version: 4.6.0”.
    No additional changes required.
  * debian/patches/02.rename-public-programs.patch:
    * Update patch for removal of Python 2 support.

 -- Ben Finney <bignose@debian.org>  Sat, 01 Jan 2022 08:52:33 +1100

=== debian/control ===
Source: python-coverage
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Build-Depends:
    dh-python,
    python3-sphinx,
    python3-sphinx-rtd-theme,
    python3-sphinx-tabs,
    python3-sphinxcontrib.restbuilder,
    python3-sphinxcontrib.spelling,
    python3-setuptools,
    python3-all-dev,
    python3,
    debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://coverage.readthedocs.io/
VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/
Rules-Requires-Root: no

Package: python3-coverage
Architecture: any
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Suggests:
    python-coverage-doc
Description: code coverage tool for Python 3
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 Coverage measurement is typically used to gauge the effectiveness of
 tests. It can show which parts of your code are being exercised by
 tests, and which are not.
 .
 This package installs the Python version 3 ‘coverage’ library, and the
 ‘python3-coverage’ program to perform and report coverage tests.

Package: python-coverage-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends}
Description: code coverage tool for Python — documentation
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 This package installs the HTML documentation for Coverage.py.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 export PYBUILD_SYSTEM = distutils
 
 PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
-PYPY_PACKAGE_NAME = pypy-${PYBUILD_NAME}
 package_working_root = debian
 package_install_root = debian/{package}
 
@@ -105,9 +104,7 @@
 override_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild
 	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
-	    usr/bin/python-coverage usr/bin/pypy-coverage)
-	$(RM) $(addprefix ${package_working_root}/${PYPY_PACKAGE_NAME}/, \
-	    usr/bin/python*-coverage)
+	    usr/bin/python-coverage)
 
 export PYBUILD_AFTER_INSTALL = \
 	$(INSTALL) --mode=u=rwx,go=rx --directory \
@@ -133,7 +130,7 @@
 
 
 
-# Copyright © 2010–2020 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

## python-coverage 6.2+dfsg1

=== Makefile ===
# Licensed under the Apache License: http://www.apache.org/licenses/LICENSE-2.0
# For details: https://github.com/nedbat/coveragepy/blob/master/NOTICE.txt

# Makefile for utility work on coverage.py.

help:					## Show this help.
	@echo "Available targets:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'

clean_platform:                         ## Remove files that clash across platforms.
	@rm -f *.so */*.so
	@rm -rf __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__ */*/*/*/__pycache__ */*/*/*/*/__pycache__
	@rm -f *.pyc */*.pyc */*/*.pyc */*/*/*.pyc */*/*/*/*.pyc */*/*/*/*/*.pyc
	@rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo */*/*/*/*.pyo */*/*/*/*/*.pyo

clean: clean_platform                   ## Remove artifacts of test execution, installation, etc.
	@echo "Cleaning..."
	@-pip uninstall -yq coverage
	@rm -f *.pyd */*.pyd
	@rm -rf build coverage.egg-info dist htmlcov
	@rm -f *.bak */*.bak */*/*.bak */*/*/*.bak */*/*/*/*.bak */*/*/*/*/*.bak
	@rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class */*/*/*/*$$py.class */*/*/*/*/*$$py.class
	@rm -f coverage/*,cover
	@rm -f MANIFEST
	@rm -f .coverage .coverage.* coverage.xml coverage.json .metacov*
	@rm -f .tox/*/lib/*/site-packages/zzz_metacov.pth
	@rm -f */.coverage */*/.coverage */*/*/.coverage */*/*/*/.coverage */*/*/*/*/.coverage */*/*/*/*/*/.coverage
	@rm -f tests/covmain.zip tests/zipmods.zip tests/zip1.zip
	@rm -rf doc/_build doc/_spell doc/sample_html_beta
	@rm -rf tmp
	@rm -rf .cache .hypothesis .mypy_cache .pytest_cache
	@rm -rf tests/actual
	@-make -C tests/gold/html clean

sterile: clean                          ## Remove all non-controlled content, even if expensive.
	rm -rf .tox


CSS = coverage/htmlfiles/style.css
SCSS = coverage/htmlfiles/style.scss

css: $(CSS)				## Compile .scss into .css.
$(CSS): $(SCSS)
	pysassc --style=compact $(SCSS) $@
	cp $@ tests/gold/html/styled

lint:					## Run linters and checkers.
	tox -q -e lint

PYTEST_SMOKE_ARGS = -n auto -m "not expensive" --maxfail=3 $(ARGS)

smoke: 					## Run tests quickly with the C tracer in the lowest supported Python versions.
	COVERAGE_NO_PYTRACER=1 tox -q -e py36 -- $(PYTEST_SMOKE_ARGS)

# Coverage measurement of coverage.py itself (meta-coverage). See metacov.ini
# for details.

metacov:				## Run meta-coverage, measuring ourself.
	COVERAGE_COVERAGE=yes tox -q $(ARGS)

metahtml:				## Produce meta-coverage HTML reports.
	python igor.py combine_html

metasmoke:
	COVERAGE_NO_PYTRACER=1 ARGS="-e py39" make clean metacov metahtml

PIP_COMPILE = pip-compile --upgrade --allow-unsafe
upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
upgrade: 				## update the *.pip files with the latest packages satisfying *.in files
	pip install -q -r requirements/pip-tools.pip
	$(PIP_COMPILE) -o requirements/pip-tools.pip requirements/pip-tools.in
	$(PIP_COMPILE) -o requirements/pip.pip requirements/pip.in
	$(PIP_COMPILE) -o requirements/pytest.pip requirements/pytest.in
	$(PIP_COMPILE) -o requirements/kit.pip requirements/kit.in
	$(PIP_COMPILE) -o requirements/tox.pip requirements/tox.in
	$(PIP_COMPILE) -o requirements/dev.pip requirements/dev.in
	$(PIP_COMPILE) -o requirements/light-threads.pip requirements/light-threads.in
	$(PIP_COMPILE) -o doc/requirements.pip doc/requirements.in

# Kitting

kit:					## Make the source distribution.
	python -m build

kit_upload:				## Upload the built distributions to PyPI.
	twine upload --verbose dist/*

test_upload:				## Upload the distributions to PyPI's testing server.
	twine upload --verbose --repository testpypi dist/*

kit_local:
	# pip.conf looks like this:
	#   [global]
	#   find-links = file:///Users/ned/Downloads/local_pypi
	cp -v dist/* `awk -F "//" '/find-links/ {print $$2}' ~/.pip/pip.conf`
	# pip caches wheels of things it has installed. Clean them out so we
	# don't go crazy trying to figure out why our new code isn't installing.
	find ~/Library/Caches/pip/wheels -name 'coverage-*' -delete

download_kits:				## Download the built kits from GitHub.
	python ci/download_gha_artifacts.py nedbat/coveragepy

check_kits:				## Check that dist/* are well-formed.
	python -m twine check dist/*

build_ext:
	python setup.py build_ext

# Documentation

DOCBIN = .tox/doc/bin
SPHINXOPTS = -aE
SPHINXBUILD = $(DOCBIN)/sphinx-build $(SPHINXOPTS)
SPHINXAUTOBUILD = $(DOCBIN)/sphinx-autobuild --port 9876 --ignore '.git/**' --open-browser
WEBHOME = ~/web/stellated
WEBSAMPLE = $(WEBHOME)/files/sample_coverage_html
WEBSAMPLEBETA = $(WEBHOME)/files/sample_coverage_html_beta

$(DOCBIN):
	tox -q -e doc --notest

cogdoc: $(DOCBIN)			## Run docs through cog
	$(DOCBIN)/python -m cogapp -crP --verbosity=1 doc/*.rst

dochtml: cogdoc $(DOCBIN)		## Build the docs HTML output.
	$(SPHINXBUILD) -b html doc doc/_build/html

docdev: dochtml				## Build docs, and auto-watch for changes.
	PATH=$(DOCBIN):$(PATH) $(SPHINXAUTOBUILD) -b html doc doc/_build/html

docspell: $(DOCBIN)			## Run the spell checker on the docs.
	$(SPHINXBUILD) -b spelling doc doc/_spell

publish:
	rm -f $(WEBSAMPLE)/*.*
	mkdir -p $(WEBSAMPLE)
	cp doc/sample_html/*.* $(WEBSAMPLE)

publishbeta:
	rm -f $(WEBSAMPLEBETA)/*.*
	mkdir -p $(WEBSAMPLEBETA)
	cp doc/sample_html_beta/*.* $(WEBSAMPLEBETA)

CHANGES_MD = tmp/rst_rst/changes.md
RELNOTES_JSON = tmp/relnotes.json

$(CHANGES_MD): CHANGES.rst $(DOCBIN)
	$(SPHINXBUILD) -b rst doc tmp/rst_rst
	pandoc -frst -tmarkdown_strict --markdown-headings=atx --wrap=none tmp/rst_rst/changes.rst > $(CHANGES_MD)

relnotes_json: $(RELNOTES_JSON)		## Convert changelog to JSON for further parsing.
$(RELNOTES_JSON): $(CHANGES_MD)
	$(DOCBIN)/python ci/parse_relnotes.py tmp/rst_rst/changes.md $(RELNOTES_JSON)

github_releases: $(RELNOTES_JSON)	## Update GitHub releases.
	$(DOCBIN)/python ci/github_releases.py $(RELNOTES_JSON) nedbat/coveragepy

=== tests/gold/html/Makefile ===
# Licensed under the Apache License: http://www.apache.org/licenses/LICENSE-2.0
# For details: https://github.com/nedbat/coveragepy/blob/master/NOTICE.txt

help:
	@echo "Available targets:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'

complete: 	## Copy support files into directories so the HTML can be viewed properly.
	@for sub in *; do \
		if [ -f "$$sub/index.html" ]; then \
			echo Copying into $$sub ; \
			cp -n support/* $$sub ; \
		fi ; \
	done ; \
	true	# because the for loop exits with 1 for some reason.

clean:		## Remove the effects of this Makefile.
	@git clean -fq .

update-gold:	## Copy output files from latest tests to gold files.
	@for sub in ../../actual/html/*; do \
		rsync --verbose --existing --recursive $$sub/ $$(basename $$sub) ; \
	done ; \
	true

update-support:	## Copy latest support files here for posterity.
	cp ../../../coverage/htmlfiles/*.{css,js,png} support

=== debian/tests/control ===
--- 
+++ 
@@ -37,13 +37,11 @@
 Tests: module-scripts
 Depends:
     python3-coverage,
-    python3-all,
-    pypy-coverage,
-    pypy
+    python3-all
 
 
 
-# Copyright © 2016–2020 Ben Finney <bignose@debian.org>
+# Copyright © 2016–2022 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
